For the complete documentation index, see llms.txt. This page is also available as Markdown.

Webhooks

Retrieve information about all Webhooks

get

Returns detailed information for all registered Webhooks.

Minimum package requirement: Pro

Authorizations
AuthorizationstringRequired
Responses
200

OK

application/json
objectOptional
get/webhooks
GET /webhooks HTTP/1.1
Host: api.onomondo.com
Authorization: Bearer YOUR_API_KEY
Accept: */*
200

OK

[
  {
    "id": "46c5e0e3-2739-4b6a-8f78-dc4a936d5861",
    "url": "https://api.example.com/sms",
    "label": "device sms error reporting",
    "exclude_types": [
      "usage",
      "usage-sms",
      "network-registration",
      "network-deregistration",
      "network-authentication",
      "location"
    ],
    "active": true,
    "tags": [
      {
        "name": "Containers",
        "id": "38d3b4a7-c66a-4d73-8382-f145bcc09ad5",
        "can_write": false,
        "color": null
      }
    ]
  },
  {
    "id": "76639595-013e-4f98-b717-8952e73f389a",
    "url": "https://api.example.com/locations",
    "label": "coordinate mapping for devices",
    "exclude_types": [
      "usage",
      "usage-sms",
      "network-registration",
      "network-deregistration",
      "network-authentication",
      "sms"
    ],
    "active": true,
    "tags": [
      {
        "name": "getting-started product",
        "id": "4c21c1ce-0e3d-445f-8b3a-9d918a9acd89",
        "can_write": false,
        "color": "#AB7D63"
      }
    ]
  },
  {
    "id": "9372355b-69c4-4622-8f29-d75b72702565",
    "url": "https://api.example.com/connections",
    "label": "Monitoring test connections",
    "exclude_types": [
      "usage",
      "usage-sms",
      "network-authentication",
      "sms",
      "location"
    ],
    "active": true,
    "tags": [
      {
        "name": "Developer",
        "id": "a5023f47-1db8-425e-b664-dc0b8921f644",
        "can_write": true,
        "color": "#5ba571"
      }
    ]
  }
]

Retrieve information about a specific Webhook

get

Returns detailed information for a specific Webhook.

Minimum package requirement: Pro

Authorizations
AuthorizationstringRequired
Path parameters
webhook_idstringRequiredExample: 46c5e0e3-2739-4b6a-8f78-dc4a936d5861
Responses
200

OK

application/json
objectOptional
get/webhooks/{webhook_id}
GET /webhooks/{webhook_id} HTTP/1.1
Host: api.onomondo.com
Authorization: Bearer YOUR_API_KEY
Accept: */*
200

OK

{
  "id": "46c5e0e3-2739-4b6a-8f78-dc4a936d5861",
  "url": "https://api.example.com/sms",
  "label": "device sms error reporting",
  "exclude_types": [
    "usage",
    "usage-sms",
    "network-registration",
    "network-deregistration",
    "network-authentication",
    "location"
  ],
  "active": true,
  "tags": [
    {
      "name": "Containers",
      "id": "38d3b4a7-c66a-4d73-8382-f145bcc09ad5",
      "can_write": false,
      "color": null
    }
  ]
}

Add Webhook

post

Create a Webhook to receive events from your organization. Webhooks can be filtered as to what they receive by applying filtering using Tags and/or excluding event types.

Minimum package requirement: Pro

Authorizations
AuthorizationstringRequired
Body
urlstring · uriRequired

The HTTPS endpoint that will receive the events.

Example: https://api.example.com/webhooks/endpointPattern: ^https://
activebooleanRequired

When true, the endpoint will start receiving events.

Example: true
labelstring · nullableRequired

Plain text name for the webhook. Must be unique if provided.

Example: Production Webhook
tagsstring[]Required

Array of Tag IDs to filter events. Only SIMs with these Tags will trigger events. Empty array includes all Tags.

Example: ["prod-devices","critical-alerts"]
Responses
200

OK

application/json
objectOptional
post/webhooks
POST /webhooks HTTP/1.1
Host: api.onomondo.com
Authorization: Bearer YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 127

{
  "url": "https://api.example.com/webhooks/all-events",
  "active": true,
  "label": "Global Event Webhook",
  "tags": [],
  "exclude_types": []
}
200

OK

{
  "id": "a6693cbb-e29c-4564-9574-494e662931cc",
  "url": "https://api.example.com/global",
  "label": "Global",
  "exclude_types": [],
  "active": true,
  "tags": []
}

Update Webhook

patch

Modify a specific Webhook.

Minimum package requirement: Pro

Authorizations
AuthorizationstringRequired
Path parameters
webhook_idstringRequiredExample: a6693cbb-e29c-4564-9574-494e662931cc
Body
urlstring · uriRequired

The HTTPS endpoint that will receive the events.

Example: https://api.example.com/webhooks/endpointPattern: ^https://
activebooleanRequired

When true, the endpoint will start receiving events.

Example: true
labelstring · nullableRequired

Plain text name for the webhook. Must be unique if provided.

Example: Production Webhook
tagsstring[]Required

Array of Tag IDs to filter events. Only SIMs with these Tags will trigger events. Empty array includes all Tags.

Example: ["prod-devices","critical-alerts"]
Responses
200

OK

application/json
objectOptional
patch/webhooks/{webhook_id}
PATCH /webhooks/{webhook_id} HTTP/1.1
Host: api.onomondo.com
Authorization: Bearer YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 138

{
  "url": "https://new-api.example.com/webhooks/all-events",
  "active": "true,",
  "label": "New Global Event Webhook",
  "tags": [],
  "exclude_types": []
}
200

OK

{
  "id": "a6693cbb-e29c-4564-9574-494e662931cc",
  "url": "https://api.example.com/global",
  "label": "Global",
  "exclude_types": [],
  "active": true,
  "tags": []
}

Remove Webhook

delete

Removes a specific Webhook. If you think you will want to use it again you can always set the "active": false with the PATCH call instead. This will keep the Webhook but prevent it from sending any events to the endpoint.

Minimum package requirement: Pro

Authorizations
AuthorizationstringRequired
Path parameters
webhook_idstringRequiredExample: 46c5e0e3-2739-4b6a-8f78-dc4a936d5861
Responses
200

OK

application/json
objectOptional
delete/webhooks/{webhook_id}
DELETE /webhooks/{webhook_id} HTTP/1.1
Host: api.onomondo.com
Authorization: Bearer YOUR_API_KEY
Accept: */*
200

OK

{
  "message": "ok"
}

Last updated